Ana içeriğe atla
Sürüm: 7.x

Error Codes

ERR_PNPM_UNEXPECTED_STORE

Bir modüller dizini mevcut ve farklı bir mağaza dizinine bağlı.

Mağaza dizinini kasıtlı olarak değiştirdiyseniz, pnpm kurulum çalıştırın ve pnpm, yeni mağazayı kullanarak bağımlılıkları yeniden kuracaktır.

ERR_PNPM_NO_MATCHING_VERSION_INSIDE_WORKSPACE

Bir proje, çalışma alanında var olmayan bir çalışma alanı bağımlılığına sahiptir.

Örneğin, foo paketi, bağımlılıkta``bar@1.0.0 sahiptir:

{
"name": "foo",
"version": "1.0.0",
"dependencies": {
"bar": "workspace:1.0.0"
}
}

Ancak, çalışma alanında yalnızca bar@2.0.0 vardır, bu nedenle pnpm kurulum başarısız olur.

Bu hatayı düzeltmek için çalışma alanı protokolü kullanan tüm bağımlılıklar, çalışma alanında bulunan paket sürümlerini kullanacak şekilde güncellenmelidir. Bu, manuel olarak veya pnpm -r update komutu kullanılarak yapılabilir.

ERR_PNPM_PEER_DEP_ISSUES

pnpm kurulum , projede çözülmemiş eş bağımlılıkları varsa veya eş bağımlılıkları istenen aralıklarla eşleşmiyorsa başarısız olur. Bunu düzeltmek için eksik eş bağımlılıklarını yükleyin.

Ayrıca, package.jsoniçindeki pnpm.peerDependencyRules.ignoreMissing ve pnpm.peerDependencyRules.allowedVersions alanlarını kullanarak bu hataları seçerek yok sayabilirsiniz.

ERR_PNPM_OUTDATED_LOCKFILE

This error happens when installation cannot be performed without changes to the lockfile. This might happen in a CI environment if someone has changed a package.json file in the repository without running pnpm install afterwards. Or someone forgot to commit the changes to the lockfile.

To fix this error, just run pnpm install and commit the changes to the lockfile.